#### D.5.3.1 deRhamCohomology

Procedure from library `deRham.lib` (see deRham_lib).

Usage:
  deRhamCohomology(L[,choices]); L a list consisting of polynomials, choices optional list consisting of one up to three strings
  The optional strings may be one of the strings
  -'noCE': compute quasi-isomorphic complexes without using Cartan-Eilenberg resolutionsq
  -'Vdres': compute quasi-isomorphic complexes using Cartan-Eilenberg resolutions; the CE resolutions are computed via V__d-homogenization and without using Schreyer's method
  -'Sres': compute quasi-isomorphic complexes using Cartan-Eilenberg resolutions in the homogenized Weyl algebra via Schreyer's method
  one of the strings
  -'iterativeloc': compute localizations by factorizing the polynomials and successive localization of the factors
  -'no iterativeloc': compute localizations by directly localizing the product
  and one of the strings
  -'onlybounds': computes bounds for the minimal and maximal integer roots of the global b-function
  -'exactroots' computes the minimal and maximal integer root of the global b-function
  The default is 'noCE', 'iterativeloc' and 'onlybounds'.

Assume:
  -The basering must be a polynomial ring over the field of rational numbers

Return:
  list, where the ith entry is the (i-1)st de Rham cohomology group of the complement of the complex affine variety given by the polynomials in L

Example:

    LIB "deRham.lib";
    ring r = 0,(x,y,z),dp;
    list L=(xy,xz);
    deRhamCohomology(L);
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    1
    ==> [3]:
    ==>    0
    ==> [4]:
    ==>    1
    ==> [5]:
    ==>    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.